機械翻訳について

Rapid Adapter Builderアダプタの登録

post

/ic/api/adapters/v1/adapterBundles

Oracle Integrationに新しいRapid Adapter Builderベース・アダプタを登録します。

リクエスト

問合せパラメータ
サポートされているメディア・タイプ
リクエスト本文 - application/octet-stream ()
ルート・スキーマ: schema
型: string(binary)
トップに戻る

レスポンス

サポートされているメディア・タイプ

200レスポンス

成功
本文()
ルート・スキーマ: schema
型: object
ソースを表示
ネストされたスキーマ : validation
型: object
ソースを表示
ネストしたスキーマ: errors
型: array
ソースを表示
ネストしたスキーマ: warnings
型: array
ソースを表示
例:
[
    {
        "location":"/flows/generalActionFlow/states/actions/functionRef/uri",
        "message":"As a best practice, avoid hardcoding entire URI. Revise these flow URIs: https://postman-echo.com/post",
        "ruleId":"W108",
        "severity":"warning",
        "suggestions":[
            "As a best practice, declare a base URI key within connectionProperties and use that instead of hardcoding it in the URI."
        ]
    },
    {
        "location":"/flows/testConnectionFlow/states/actions/functionRef/uri",
        "message":"It is best practice to avoid hardcoding entire URI. Revise these flow URIs: https://httpbin.org/get",
        "ruleId":"W108",
        "severity":"warning",
        "suggestions":[
            "As a best practice, declare a base URI key within connectionProperties and use that instead of hardcoding it in the URI."
        ]
    },
    {
        "location":"/info/settings/allowedDomains",
        "message":"Allowed Domains are recommended in settings.",
        "ruleId":"W111",
        "severity":"warning",
        "suggestions":[
            "Specify allowed domains in settings."
        ]
    },
    {
        "location":"/flows/testConnectionFlow",
        "message":"Flow [testConnectionFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/inputSchemaFlow",
        "message":"Flow [inputSchemaFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/partialInputSchemaFlow",
        "message":"Flow [partialInputSchemaFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/outputSchemaFlow",
        "message":"Flow [outputSchemaFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/generalActionFlow",
        "message":"Flow [generalActionFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/dynamicOperationFlow",
        "message":"Flow [dynamicOperationFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/dynamicTableValueFlow",
        "message":"Flow [dynamicTableValueFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/dynamicValueFlow",
        "message":"Flow [dynamicValueFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/inputAvroSchemaFlow",
        "message":"Flow [inputAvroSchemaFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/outputAvroSchemaFlow",
        "message":"Flow [outputAvroSchemaFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/fieldValidationFlow",
        "message":"Flow [fieldValidationFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/generalTriggerFlow",
        "message":"Flow [generalTriggerFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    },
    {
        "location":"/flows/allOfSchemaFlow",
        "message":"Flow [allOfSchemaFlow] , state [startState] contains Action without name.",
        "ruleId":"W112",
        "severity":"warning",
        "suggestions":[
            "Provide valid action name."
        ]
    }
]
ネストされたスキーマ: items
型: object
ソースを表示
ネストされたスキーマ : suggestions
型: array
ソースを表示
  • 例: As a best practice, declare a base URI key within connectionProperties and use that instead of hardcoding it in the URI.
例:
[
    "As a best practice, declare a base URI key within connectionProperties and use that instead of hardcoding it in the URI."
]

400レスポンス

アタッチされたRapid Adapter Builderバンドルが無効です。
先頭に戻る